(ns com.aurellem.gb.transit
  (:use (com.aurellem.gb gb-driver util constants))
  (:import [com.aurellem.gb.gb_driver SaveState]))


;; conducted experiments with this variable in the
;; following places.

0xD367 = 00000110 ;; inside-building

0xD367 = 00001001 ;; wilderness outside Celadon

0xD367 = 00010010 ;; inside cave

0xD367 = 00001001 ;; inside pokeon-tower

0xD367 = 00110110 ;; fishing peer not by water

0xD367 = 00110110 ;; fishing peer waters edge

0xD367 = 00110110 ;; in battle at fishing peer

0xD367 = 00010010 ;; at Cerulean

;; setting it to zero does not affect teleport
;; setting it to 0xFF does not affect teleport
;; conclusion -- 0xD367 is position related but does not control
;; transit moves/items


;; try the same with 0xD366

0xD366 = 00000000 ;; at Cerulean
0xD366 = 00010001 ;; in Rock Tunnel
0xD366 = 00001111 ;; in poke tower floor 1
0xD366 = 00000110 ;; in poke center

;; 0xFF disables fly, dig, teleport, rope
;; 0x00 enables fly, teleport, disables dig, rope

;; in cereluan
;; set to 00000100 disables doors, ledges, fly, teleport
;; set to 00000010 disables doors, ledges, fly, teleport

;; in poke-center
;; set to 00000010 disables fly, teleport, dig, rope
;; set to 00000100 disables fly, teleport, dig, rope
;; set to 00000000 enables fly, teleport
;; set to 00010001 changes colormap to brown,
;;                 enables rope, dig
;;                 disables fly, teleport 

